Get Default Collection
curl --request GET \
--url https://api.inprocess.world/api/collections/default \
--header 'x-api-key: <api-key>'import requests
url = "https://api.inprocess.world/api/collections/default"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.inprocess.world/api/collections/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.inprocess.world/api/collections/default",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.inprocess.world/api/collections/default"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.inprocess.world/api/collections/default")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.inprocess.world/api/collections/default")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "11111111-1111-1111-1111-111111111111",
"address": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA",
"name": "Process",
"chain_id": 8453,
"created_at": "2025-06-07T20:41:35+00:00",
"uri": "ar://FrDLosTVZP54g8xvLkGG0aWDGrKV46dDAz5umTJkiyA",
"protocol": "in_process",
"creator": "0x4b4324bcC6dB9380ABBbbD20B24A16C11FB5B38A",
"creator_username": "artist name 1",
"admins": []
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Collections
Get the default collection
Get the default collection for the authenticated artist. Until one is set, this is the artist’s own Process collection, created the first time it is needed.
GET
/
collections
/
default
Get Default Collection
curl --request GET \
--url https://api.inprocess.world/api/collections/default \
--header 'x-api-key: <api-key>'import requests
url = "https://api.inprocess.world/api/collections/default"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.inprocess.world/api/collections/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.inprocess.world/api/collections/default",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.inprocess.world/api/collections/default"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.inprocess.world/api/collections/default")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.inprocess.world/api/collections/default")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "11111111-1111-1111-1111-111111111111",
"address": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA",
"name": "Process",
"chain_id": 8453,
"created_at": "2025-06-07T20:41:35+00:00",
"uri": "ar://FrDLosTVZP54g8xvLkGG0aWDGrKV46dDAz5umTJkiyA",
"protocol": "in_process",
"creator": "0x4b4324bcC6dB9380ABBbbD20B24A16C11FB5B38A",
"creator_username": "artist name 1",
"admins": []
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
apiKeyAuthbearerAuth
Artist API key for authentication. Get your API key from https://inprocess.world/manage/api-keys
Response
The default collection for this artist
A collection row as returned by GET /collections